walker2d_medium_args = {
    "algo_name": "iql", 
    "domain": "mujoco", 
    # "task": "walker2d-medium-v2", 
    # "seed": 0, 
    "update_reward": True, 
    "select_data": True,

    # transition parameters
    "load_transition_path": None, 
    "transition_lr": 0.001, 
    "max_epochs_since_update": 5, 
    "transition_max_epochs": None, 
    "transition_hidden_dims": [200, 200, 200, 200], 
    "transition_weight_decay": [2.5e-05, 5e-05, 7.5e-05, 7.5e-05, 0.0001], 
    "n_transition_ensemble": 7, 
    "n_elites": 5, 
    "rollout_length": 10,
    "rollout_batch_size": 10000, 
    "rollout_freq": 40000,
    "model_retain_epochs": 5,

    # reward parameters
    "load_reward_path": None, 
    "n_reward_ensemble": 3, 
    "reward_lr": 0.0003, 
    "reward_pretrain_batch_size": 64,
    "reward_pretrain_epoch": 100, 
    "reward_train_epoch": 200,
    "reward_update_freq": 200000, 
    "max_reward_steps": 200000, 
    "reward_train_batch_size": 256, 

    # preference data parameters
    "collect_preference_data": False,
    "preference_data_path": "../dataset/preference_dataset", 
    "num_query": 2000,  # the number of offline preference dataset (public)
    "len_query": 200,   # the length of trjactory of offline preference
    "reward_data_size": 100, # the datsize of preference data used to train
    "mean_probs": 0.75, # the threshold of confidence
    "std_probs": 0.08,  # the threshold of uncertainty 
    "fake_ratio": 0.95, # the ratio of generated preference data

    # policy parameters
    "hidden_dims": [256, 256], 
    "actor_lr": 0.0003, 
    "critic_q_lr": 0.0003, 
    "critic_v_lr": 0.0003, 
    "dropout_rate": None, 
    "gamma": 0.99, 
    "tau": 0.005, 
    "expectile": 0.7, 
    "temperature": 3.0, 
    "lr_scheduler": True, 
    "max_episode_length": 1000, 
    "epoch": 1000, 
    "step_per_epoch": 1000, 
    "eval_episodes": 10, 
    "policy_batch_size": 256, 
    # "device": "cuda", 
    }
